
<h2>Introduction</h2>
<p>
The application HotSpot Manager can be used to manage the users of a
network of HotSpot access points. The HotSpot access points are
LinkSys WRT54GL wireless routers, with CoovaAP firmware (which
provides HotSpot service via coova-chilli). The authentication of the
internet users (clients) is done in a radius server (freeRadius).
</p>

<p>
The application supports more than one domain (network). Each domain
can have one or more NASes (access points / wireless routers / HotSpot
nodes). The number of access points for each domain is not
limited. Each domain can have one or more managers that are created by
the administrator (superuser) of the application. The manager of a
domain can create, modify and delete the internet users of the
domain. The internet user of a domain can get hotspot access to
internet through each of the domain access points (NASes), but cannot
login through the access points of the other domains. The domain
manager assigns a certain internet service to the user, which defines
the bandwidth of the user, the expiration time of the service,
etc. The services are created and defined by the application
administrator, which also makes available some of the services to each
domain.
</p>

<p>
Grouping and managing access points and internet users into domains
can be useful for hierarchical management of the network. For example
an organization (or office, or business) can manage itself the
connection to internet of its own staff. The application also allows
to limit the number of access points and clients of each domain. Also
each domain can have its own customized login page.
</p>

<p>
The application is also integrated with Radius Manager, which is an
application for managing the database of freeRadius, services,
clients, etc. (it has even some simple billing
functionality). Unfortunately, Radius Manager is not free software
(open source). So, the integration with Radius Manager is optional and
HotSpot Manager can also work standalone (it does not depend on it).
</p>

<h2>Download</h2>

<p>
<a href="http://sourceforge.net/project/showfiles.php?group_id=164743" target="_blank">Download the latest release from SF.</a>
</p>

<p>
Get the latest version from Subversion with a
command like this: 
<pre>$ svn checkout https://svn.sourceforge.net/svnroot/netaccess/hotspot-manager/trunk hotspot-manager</pre>
</p>

<h2>Copying</h2>

<include src="{{./}}copying.html" />
